%define anolis_release 1

Name: ModemManager
Version: 1.18.12
Release: %{anolis_release}%{?dist}
Summary: Mobile broadband modem management service
License: GPL-2.0+
URL: http://www.freedesktop.org/wiki/Software/ModemManager/
Source0: https://www.freedesktop.org/software/ModemManager/%{name}-%{version}.tar.xz

# For mbim-proxy and qmi-proxy
Requires: libmbim-utils
Requires: libqmi-utils
Requires: %{name}-glib = %{version}-%{release}

Requires(post): systemd
Requires(postun): systemd
Requires(preun): systemd

Requires: polkit

BuildRequires: dbus
BuildRequires: dbus-daemon
BuildRequires: pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0) >= 2.56.0
BuildRequires: pkgconfig(gmodule-2.0)
BuildRequires: pkgconfig(gobject-2.0)
BuildRequires: pkgconfig(gudev-1.0) >= 232
BuildRequires: pkgconfig(libsystemd) >= 209
BuildRequires: pkgconfig(mbim-glib) >= 1.26.0
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires: pkgconfig(qmi-glib) >= 1.30.8
BuildRequires: pkgconfig(qrtr-glib) >= 1.0.0
BuildRequires: pkgconfig(systemd)
BuildRequires: gobject-introspection-devel >= 0.9.6
BuildRequires: gtk-doc
BuildRequires: make
BuildRequires: vala
BuildRequires: python3-gobject
BuildRequires: python3-dbus

%global __provides_exclude ^libmm-plugin-

%description
The ModemManager service manages WWAN modems and provides a consistent API for
interacting with these devices to client applications.

%package devel
Summary: Libraries and headers for adding ModemManager support to applications
Requires: %{name} = %{version}-%{release}

%description devel
This package contains various headers for accessing some ModemManager functionality
from applications.

%package glib
Summary: Libraries for adding ModemManager support to applications that use glib.

%description glib
This package contains the libraries that make it easier to use some ModemManager
functionality from applications that use glib.

%package glib-devel
Summary: Libraries and headers for adding ModemManager support to applications that use glib.
Requires: %{name} = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-glib = %{version}-%{release}

%description glib-devel
This package contains various headers for accessing some ModemManager functionality
from glib applications.

%package vala
Summary: Vala bindings for ModemManager
Requires: vala
Requires: %{name}-glib = %{version}-%{release}

%description vala
Vala bindings for ModemManager

%prep
%autosetup -p1

%build
%configure \
	--disable-rpath \
	--disable-silent-rules \
	--with-systemd-suspend-resume \
	--with-systemd-journal \
	--enable-more-warnings=no \
	--with-udev-base-dir=%{_prefix}/lib/udev \
	--enable-gtk-doc \
	--with-qmi=yes \
	--with-mbim=yes \
%ifarch aarch64
	--enable-plugin-qcom-soc \
%endif
	--disable-static \
	--with-polkit=permissive \
	--with-dist-version=%{version}-%{release}

%make_build

%check
%make_build check

%install
%make_install


%find_lang %{name}

%post
%systemd_post ModemManager.service

%preun
%systemd_preun ModemManager.service

%postun
%systemd_postun ModemManager.service

%files -f %{name}.lang
%license COPYING
%doc README
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.ModemManager1.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.ModemManager1.service
%attr(0755,root,root) %{_sbindir}/ModemManager
%attr(0755,root,root) %{_bindir}/mmcli
%dir %{_libdir}/%{name}
%attr(0755,root,root) %{_libdir}/%{name}/*.so*
%{_udevrulesdir}/*
%{_datadir}/polkit-1/actions/*.policy
%{_unitdir}/ModemManager.service
%{_datadir}/icons/hicolor/22x22/apps/*.png
%{_datadir}/bash-completion
%{_datadir}/ModemManager
%{_mandir}/man1/*
%{_mandir}/man8/*

%files devel
%{_includedir}/ModemManager/
%dir %{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gtk-doc/html/%{name}/*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/dbus-1/interfaces/*.xml

%files glib
%license COPYING
%{_libdir}/libmm-glib.so.*
%{_libdir}/girepository-1.0/*.typelib

%files glib-devel
%{_libdir}/libmm-glib.so
%dir %{_includedir}/libmm-glib
%{_includedir}/libmm-glib/*.h
%{_libdir}/pkgconfig/mm-glib.pc
%dir %{_datadir}/gtk-doc/html/libmm-glib
%{_datadir}/gtk-doc/html/libmm-glib/*
%{_datadir}/gir-1.0/*.gir

%files vala
%{_datadir}/vala/vapi/libmm-glib.*

%changelog
* Sun Jan 15 2023 Funda Wang <fundawang@yeah.net> - 1.18.12-1
- New version 1.18.12

* Mon Mar 14 2022 Yaobin Shi <shiyaobin.syb@alibaba-inc.com> - 1.18.6-2
- Enable make check for Anolis OS 23
- Add BuildRequires python3-gobject and python3-dbus

* Thu Mar 10 2022 Larry Shi <larryshi@openanolis.org> - 1.18.6-1
- Init for Anolis OS 23
